Bug 1656282 - Rename gpg to gpg1
Summary: Rename gpg to gpg1
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: gnupg (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1656206
TreeView+ depends on / blocked
 
Reported: 2018-12-05 07:16 UTC by Igor Gnatenko
Modified: 2018-12-10 17:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Igor Gnatenko 2018-12-05 07:16:14 UTC
Since the referenced change has been approved, it's good time to make move.

I believe that changes should be following:
* Rename package to gnupg1
* Rename binaries/manpages to have suffix "1"

Comment 1 Brian Lane 2018-12-05 22:41:47 UTC
Here's the review request bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1656640

Files are in here:

https://bcl.fedorapeople.org/gnupg1/

github repo:

https://github.com/bcl/fedora-gnupg1

Comment 2 Werner Koch 2018-12-06 07:41:54 UTC
Hi!

Note that the the next maintenance release of GnuPG 1.4 will also drop support for keyservers and external photo viewers.  The keyserver helper programs will thus also not get installed.  You may want to consider to remove them right now; for example by using "./configure --disable-exec".  See also https://dev.gnupg.org/T3443

Comment 3 Brian Lane 2018-12-06 16:35:34 UTC
Thanks, I've updated the spec to turn that off.

Comment 4 Igor Gnatenko 2018-12-08 13:50:53 UTC
Brian,

what do you think about building gnupg1 package for F28/F29 which would ship both gpg and gpg1 while F30+ would ship only gpg1?

This would simplify compatibility between Fedora versions. I can prepare patch if you want.

Comment 5 Werner Koch 2018-12-10 08:09:24 UTC
If you do that you should put a note into the NEWS (or whatever file) to explain that gpg2 migrates the secret keys to a new format and that from then on gpg1 will not see any new secret keys.

Comment 6 Brian Lane 2018-12-10 17:20:15 UTC
Adding a gpg1 symlink to f28/29 sounds fine. I think we also need to add a README.Fedora to the f30 version with more info about migrating keys, and turning off the keyserver support.


Note You need to log in before you can comment on or make changes to this bug.